Subject: bug#21780: 25.0.50; Saving *Help* results in bad encoding because of curly quotes

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Oct 2015 09:28:11 +0200

> From: Andy Moreton <[email-masked]>
> Date: Fri, 30 Oct 2015 23:06:22 +0000
> 
> On Fri 30 Oct 2015, Eli Zaretskii wrote:
> 
> >> Date: Fri, 30 Oct 2015 22:50:57 +0200
> >> From: Eli Zaretskii <[email-masked]>
> >> Cc: [email-masked]
> >> 
> >> If you want to have Unix EOLs by default, the correct customization is
> >> this:
> >> 
> >>   (setq-default buffer-file-coding-system
> >>                 (coding-system-change-eol-conversion
> >>                  buffer-file-coding-system 'unix))
> >
> > This variant is better:
> >
> >   (setq-default buffer-file-coding-system
> >                 (coding-system-change-eol-conversion
> >                  default-buffer-file-coding-system 'unix))
> 
> Why ? Help for `default-buffer-file-coding-system' says:
> 
>   This variable is obsolete since 23.2;
>   use ‘buffer-file-coding-system’ instead.

Then use (default-value buffer-file-coding-system) instead.  The point
being to use the default value to modify the default value.  When this
code runs, the current buffer should have the same value as its
buffer-local value, but I preferred not to rely on that.

> I think Drew's version was fine.

What Drew's version?  The one that unconditionally used undecided-unix
as the default?  I very much disagree.